%define majver %(echo %version | cut -d. -f1-2)
%define pkgver %(echo %version | tr . -)
Name:          ogre
Epoch:         1
Version:       1.8.1
Release:       2mamba
Summary:       A scene-oriented, flexible 3D engine
Group:         Development/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.ogre3d.org
# hg clone https://bitbucket.org/sinbad/ogre -b v1-9
# cd ogre
# hg archive -X ".hg*" -r v1-9 ogre-1.9.20140831hg
# tar cJf ../../SOURCES/ogre-1.9.20140831hg.tar.xz  ogre-1.9.20140831hg/
#Source:        https://bitbucket.org/sinbad/ogre/ogre-%{version}.tar.xz
Source:        https://downloads.sourceforge.net/project/ogre/ogre/%{majver}/%{version}/ogre_src_v%{pkgver}.tar.bz2
#Source:	       http://downloads.sourceforge.net/project/ogre/ogre/%ver/%{version}/ogre_src_v%{ver_download}.tar.bz2
Patch0:        ogre-1.9.20140831hg-missing-latomic.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libGL-devel
BuildRequires: libGLU-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXaw-devel
BuildRequires: libXext-devel
BuildRequires: libXrandr-devel
BuildRequires: libXt-devel
BuildRequires: libboost-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: libtinyxml-devel
BuildRequires: libz-devel
BuildRequires: libzzip-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
OGRE (Object-Oriented Graphics Rendering Engine) is a scene-oriented, flexible 3D engine written in C++ designed to make it easier and more intuitive for developers to produce applications utilising hardware-accelerated 3D graphics.
The class library abstracts all the details of using the underlying system libraries like Direct3D and OpenGL and provides an interface based on world objects and other intuitive classes.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
OGRE (Object-Oriented Graphics Rendering Engine) is a scene-oriented, flexible 3D engine written in C++ designed to make it easier and more intuitive for developers to produce applications utilising hardware-accelerated 3D graphics.
The class library abstracts all the details of using the underlying system libraries like Direct3D and OpenGL and provides an interface based on world objects and other intuitive classes.


%debug_package

%prep
%setup -q -n ogre_src_v%{pkgver}
#-D -T
#:<< __EOF
#%patch0 -p1
#-n %{name}_src_v%{ver_download}
# use cmake default
rm CMake/Packages/FindFreetype.cmake

%build
#:<< ___EOF
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/OgreMeshUpgrader
%{_bindir}/OgreXMLConverter
%dir %{_libdir}/OGRE
%{_libdir}/OGRE/Plugin_BSPSceneManager.so*
%{_libdir}/OGRE/Plugin_OctreeSceneManager.so*
%{_libdir}/OGRE/Plugin_OctreeZone.so*
%{_libdir}/OGRE/Plugin_PCZSceneManager.so*
%{_libdir}/OGRE/Plugin_ParticleFX.so*
%{_libdir}/OGRE/RenderSystem_GL.so*
%{_libdir}/libOgreMain.so.*
#%{_libdir}/libOgreOverlay.so.*
%{_libdir}/libOgrePaging.so.*
%{_libdir}/libOgreProperty.so.*
%{_libdir}/libOgreRTShaderSystem.so.*
%{_libdir}/libOgreTerrain.so.*
#%{_libdir}/libOgreVolume.so.*
#%dir %{_datadir}/OGRE
#%{_datadir}/OGRE/*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/OGRE
%{_includedir}/OGRE/*.h
%dir %{_includedir}/OGRE/GLX
%{_includedir}/OGRE/GLX/*.h
%{_includedir}/OGRE/OgreZip.h
#%dir %{_includedir}/OGRE/Overlay
#%{_includedir}/OGRE/Overlay/*.h
%dir %{_includedir}/OGRE/Paging
%{_includedir}/OGRE/Paging/*.h
%dir %{_includedir}/OGRE/Plugins
%dir %{_includedir}/OGRE/Plugins/BSPSceneManager
%{_includedir}/OGRE/Plugins/BSPSceneManager/*.h
%dir %{_includedir}/OGRE/Plugins/OctreeSceneManager
%{_includedir}/OGRE/Plugins/OctreeSceneManager/*.h
%dir %{_includedir}/OGRE/Plugins/OctreeZone
%{_includedir}/OGRE/Plugins/OctreeZone/*.h
%dir %{_includedir}/OGRE/Plugins/PCZSceneManager
%{_includedir}/OGRE/Plugins/PCZSceneManager/*.h
%dir %{_includedir}/OGRE/Plugins/ParticleFX
%{_includedir}/OGRE/Plugins/ParticleFX/*.h
%dir %{_includedir}/OGRE/Property
%{_includedir}/OGRE/Property/*.h
%dir %{_includedir}/OGRE/RTShaderSystem
%{_includedir}/OGRE/RTShaderSystem/*.h
%dir %{_includedir}/OGRE/RenderSystems
%dir %{_includedir}/OGRE/RenderSystems/GL
%dir %{_includedir}/OGRE/RenderSystems/GL/GL
%{_includedir}/OGRE/RenderSystems/GL/GL/*.h
%dir %{_includedir}/OGRE/RenderSystems/GL/GLX
%{_includedir}/OGRE/RenderSystems/GL/GLX/*.h
%{_includedir}/OGRE/RenderSystems/GL/*.h
%dir %{_includedir}/OGRE/Terrain
%{_includedir}/OGRE/Terrain/*.h
%dir %{_includedir}/OGRE/Threading
%{_includedir}/OGRE/Threading/*.h
#%dir %{_includedir}/OGRE/Volume
#%{_includedir}/OGRE/Volume/*.h
%{_libdir}/*.so
%{_libdir}/OGRE/cmake/*.cmake
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Feb 12 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.1-2mamba
- rebuilt with gcc 5.3.0

* Sun Aug 31 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.1-1mamba
- update to 1.8.1
- revert to stable 1.8.1 for stuntrally (bump up epoch)

* Sun Aug 31 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.20140831hg-1mamba
- update to 1.9.20140831hg
- move devel files to -devel package

* Mon Dec 02 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.0-2mamba
- rebuilt with boost 1.55

* Tue Nov 26 2013 Automatic Build System <autodist@mambasoft.it> 1.9.0-1mamba
- automatic version update by autodist

* Sun Jan 20 2013 openmamba WebBuild System <webbuild@openmamba.org> 1.8.1-2mamba
- fixed summary

* Tue Oct 30 2012 openmamba WebBuild System <webbuild@openmamba.org> 1.8.1-1mamba
- package created by autospec